<?php
namespace RL;

class Core {

    public function __construct(){
        new \RL\Admin\Import();
        
        add_filter('plugin_action_links_'.RL_IMPORTER_SLUG.'/'.RL_IMPORTER_SLUG.'.php', array($this, 'plugin_action_links'));
    }

    public function plugin_action_links($links){
        $url = esc_url(add_query_arg('page', 'rl-admin-import', get_admin_url().'tools.php'));
        
        $importer_link = "<a href='$url'>" . __( 'Importer' ) . '</a>';

        $output = [
            'importer' => $importer_link
        ];

        foreach($links as $link_key => $link_html){
            $output[$link_key] = $link_html;
        }

        return $output;
    }

}